MessageReadonlyProperties:
  type: object
  properties:
    id:
      type: integer
      description: Идентификатор сообщения
      example: 1
    user_id:
      type: integer
      description: Идентификатор пользователя
      example: 42
    user_type:
      description: Тип пользователя
      allOf:
        - type: integer
        - $ref: '../enums/user_type_enum.yaml'
    chat_id:
      type: integer
      description: Идентификатор чата
      example: 1
    text:
      type: string
      description: Содержание сообщения
    files:
      type: array
      description: Прикрепленные файлы
      items:
        $ref: '../../common_schemas.yaml#/File'
      nullable: true
    created_at:
      type: string
      format: date-time
      description: Дата создания сообщения
      example: "2021-06-11T11:27:10.000000Z"
    updated_at:
      type: string
      format: date-time
      description: Дата обновления сообщения
      example: "2021-06-11T11:27:10.000000Z"
  required:
    - id
    - user_id
    - user_type
    - chat_id
    - text
    - files
    - created_at
    - updated_at

Message:
  allOf:
    - $ref: '#/MessageReadonlyProperties'

SearchMessagesFilter:
  type: object

SearchMessagesRequest:
  type: object
  properties:
    sort:
      $ref: '../../common_schemas.yaml#/RequestBodySort'
    filter:
      $ref: '#/SearchMessagesFilter'
    include:
      $ref: '../../common_schemas.yaml#/RequestBodyInclude'
    pagination:
      $ref: '../../common_schemas.yaml#/RequestBodyPagination'

SearchMessagesResponse:
  type: object
  properties:
    data:
      type: array
      items:
        $ref: '#/Message'
    meta:
      type: object
      properties:
        pagination:
          $ref: '../../common_schemas.yaml#/ResponseBodyPagination'
  required:
    - data
    - meta
